Last Comment Bug 689742 - Disable hardware acceleration in Thunderbird
: Disable hardware acceleration in Thunderbird
Status: RESOLVED FIXED
[battery][gs][gssolved]
: perf
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Thunderbird 11.0
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
Mentors:
http://getsatisfaction.com/mozilla_me...
: 667989 668552 (view as bug list)
Depends on:
Blocks: 703437 618868 950133
  Show dependency treegraph
 
Reported: 2011-09-27 14:28 PDT by Joe Drew (not getting mail)
Modified: 2015-03-29 17:41 PDT (History)
19 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
patch (823 bytes, patch)
2011-09-29 22:08 PDT, Siddharth Agarwal [:sid0] (inactive)
no flags Details | Diff | Review
patch v2 (906 bytes, patch)
2011-11-29 12:40 PST, Mark Banner (:standard8)
standard8: review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Joe Drew (not getting mail) 2011-09-27 14:28:53 PDT
Right now Thunderbird forces the use of the discrete GPU because it uses layers acceleration. OpenGL layers acceleration is probably of minimal utility on Thunderbird, and so it should be disabled.
Comment 1 Joe Drew (not getting mail) 2011-09-27 14:34:32 PDT
It's ok for this to be only for OS X, since that's where people are most badly affected by battery-life concerns from using the discrete GPU.
Comment 2 rsx11m 2011-09-27 14:52:05 PDT
Corresponding Windows bug 667989, general discussion in bug 668552.
Comment 3 Ludovic Hirlimann [:Usul] 2011-09-28 02:05:37 PDT
Joe can you provide the patch ?
Comment 4 Siddharth Agarwal [:sid0] (inactive) 2011-09-29 22:08:57 PDT
Created attachment 563655 [details] [diff] [review]
patch

Let's just do it on all platforms.
Comment 5 Siddharth Agarwal [:sid0] (inactive) 2011-11-01 13:54:45 PDT
Mark, review ping?
Comment 6 Wayne Mery (:wsmwk, NI for questions) 2011-11-07 09:56:57 PST
this setting complicates helping users who may have performance issues unrelated to this setting.  So it would be nice to do this soon, and even push it down into version 9 (soon to be beta)


(In reply to Siddharth Agarwal [:sid0] from comment #4)
> Created attachment 563655 [details] [diff] [review] [diff] [details] [review]
> patch
> 
> Let's just do it on all platforms.

makes sense, because we have these other bug reports
Bug 693852 - High GPU usage with constant status bar animation and direct2d
Bug 668552 - Interface is unusable when GPU is busy ... Slow deletes, message viewing, address autocomplete
Bug 667989 - DirectWrite/Hardware Acceleration should be disabled by default (direct2d)
Comment 7 Mark Banner (:standard8) 2011-11-29 12:40:46 PST
Created attachment 577709 [details] [diff] [review]
patch v2

Having had a few discussions, we've confirmed that hardware acceleration doesn't have any significant benefit for Thunderbird in its normal use cases. Therefore drivers have agreed to disable hardware acceleration.

There is a second preference involved on Windows (gfx.direct2d.disabled) that we want to disable alongside the layers one, so I've updated your patch to include that.

This has r+a=me. I'll land these in a bit as I think you're busy at the moment.
Comment 9 Mark Banner (:standard8) 2011-11-29 12:51:28 PST
*** Bug 667989 has been marked as a duplicate of this bug. ***
Comment 10 Mark Banner (:standard8) 2011-11-29 12:53:47 PST
*** Bug 668552 has been marked as a duplicate of this bug. ***
Comment 11 Mark Banner (:standard8) 2011-11-29 12:54:49 PST
*** Bug 693852 has been marked as a duplicate of this bug. ***
Comment 12 :aceman 2011-11-29 23:53:45 PST
Great, this may fix a class of problems I was triaging.
However, just to be sure, will this disable also Direct2D usage?
Comment 13 Siddharth Agarwal [:sid0] (inactive) 2011-11-30 01:15:34 PST
It indeed does.
Comment 14 [Baboo] 2011-12-27 08:09:19 PST
This will lead to Windows users that previously had Directwrite text rendering to have GDI rendering again which might look/behave differently.
Comment 15 Benoit Jacob [:bjacob] (mostly away) 2013-12-12 17:04:42 PST
bug 689742 comment 0 says the reason is that back then, GL layers triggered the discrete GPU on dual-GPU macs.

That's long not been the case anymore. You can safely turn on GL layers, that won't trigger the discrete GPU. What does trigger the discrete GPU is WebGL, and only during the lifetime of any WebGL context.
Comment 16 Magnus Melin 2013-12-13 12:10:32 PST
Yes, this was reverted in bug 950133.

Note You need to log in before you can comment on or make changes to this bug.